summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson2010-07-03 20:57:49 +0200
committer Robby Workman2010-07-03 20:57:49 +0200
commit85596f2775c7afc1e7685190ccbd5c9a053299e0 (patch)
treeda52516890bab56db2585eeda0dff630cacdd0aa
parent5008106592a150bc805f5f523457c1612ef5b510 (diff)
downloadslackbuilds-85596f2775c7afc1e7685190ccbd5c9a053299e0.tar.gz
development/gnome-common: Added (scripts/macros for gnome devel)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--development/gnome-common/README1
-rw-r--r--development/gnome-common/gnome-common.SlackBuild62
-rw-r--r--development/gnome-common/gnome-common.info10
-rw-r--r--development/gnome-common/slack-desc19
4 files changed, 92 insertions, 0 deletions
diff --git a/development/gnome-common/README b/development/gnome-common/README
new file mode 100644
index 0000000000..2693db642d
--- /dev/null
+++ b/development/gnome-common/README
@@ -0,0 +1 @@
+Common scripts and macros to develop with GNOME 2.0.
diff --git a/development/gnome-common/gnome-common.SlackBuild b/development/gnome-common/gnome-common.SlackBuild
new file mode 100644
index 0000000000..a77e4d7d9b
--- /dev/null
+++ b/development/gnome-common/gnome-common.SlackBuild
@@ -0,0 +1,62 @@
+#!/bin/sh
+#
+# Slackware build script for gnome-common
+#
+# Copyright 2010 Erik W. Hanson, Minneapolis, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=gnome-common
+VERSION=2.28.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+ARCH=noarch
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./configure --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog ChangeLog.pre-git INSTALL NEWS README \
+ doc/usage.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gnome-common/gnome-common.info b/development/gnome-common/gnome-common.info
new file mode 100644
index 0000000000..827aab687a
--- /dev/null
+++ b/development/gnome-common/gnome-common.info
@@ -0,0 +1,10 @@
+PRGNAM="gnome-common"
+VERSION="2.28.0"
+HOMEPAGE="http://www.gnome.org/"
+DOWNLOAD="http://ftp.acc.umu.se/pub/GNOME/sources/gnome-common/2.28/gnome-common-2.28.0.tar.bz2"
+MD5SUM="30daabb0ca4898fea2647999e7813e8f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/development/gnome-common/slack-desc b/development/gnome-common/slack-desc
new file mode 100644
index 0000000000..8f746a5716
--- /dev/null
+++ b/development/gnome-common/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler----------------------------------------------------|
+gnome-common: gnome-common (GNOME development scripts and macros)
+gnome-common:
+gnome-common: Common scripts and macros to develop with GNOME 2.0.
+gnome-common:
+gnome-common:
+gnome-common:
+gnome-common:
+gnome-common:
+gnome-common:
+gnome-common:
+gnome-common: